## GnomeDbEntryString

GnomeDbEntryString —

## Synopsis

                GnomeDbEntryString;
                GnomeDbEntryStringPrivate;
    GType       gnome_db_entry_string_get_type  (void);
    GtkWidget*  gnome_db_entry_string_new       (GnomeDbDataHandler *dh,
                                                 GdaValueType type);

## Object Hierarchy

      GObject
       +----GtkObject
             +----GtkWidget
                   +----GtkContainer
                         +----GtkBin
                               +----GtkViewport
                                     +----GnomeDbEntryShell
                                           +----GnomeDbEntryWrapper
                                                 +----GnomeDbEntryString

## Implemented Interfaces

GnomeDbEntryString implements AtkImplementorIface, GtkCellEditable and GnomeDbDataEntry.

## Properties

      "editing-cancelled"    gboolean              : Read
      "multiline"            gboolean              : Read / Write

## Description

## Details

### GnomeDbEntryString

    typedef struct _GnomeDbEntryString GnomeDbEntryString;

### GnomeDbEntryStringPrivate

    typedef struct _GnomeDbEntryStringPrivate GnomeDbEntryStringPrivate;

### gnome_db_entry_string_get_type ()

    GType       gnome_db_entry_string_get_type  (void);

Returns : |

### gnome_db_entry_string_new ()

    GtkWidget*  gnome_db_entry_string_new       (GnomeDbDataHandler *dh,
                                                 GdaValueType type);

Creates a new widget which is mainly a GtkEntry

`dh` : | the data handler to be used by the new widget
`type` : | the requested data type (compatible with `dh`)
Returns : | the new widget

## Property Details

### The "`editing-cancelled`" property

      "editing-cancelled"    gboolean              : Read

Default value: FALSE

### The "`multiline`" property

      "multiline"            gboolean              : Read / Write

Default value: FALSE